Subject: Re: undefined reference to `_getline'
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Thu, 23 Oct 2003 22:37:04 -0700

"Robb, Sam" wrote:

> Grumble.  Looking through the archives shows that
> getline() isn't exported:
> 
> http://www.cygwin.com/ml/cygwin/2003-06/msg01328.html
> 
> Can't understand how I missed this on my first search.
> 
> cgf, et al - is there a reason why getline and getdelim
> aren't exported, or is this just another example of good
> ol' fashion Cygwin meanness?

I think you're reading too much into the phrase "not exported."  I parse
it as meaning "does not exist in any form in Cygwin" whereas I think
you're interpreting it as "code exists but symbol not made available for
linking."  I'll leave it to someone else to say with certainty but it
appears from cgf's reponse that it's more the former than the latter.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/